## org.codehaus.plexus.component.repository
Class ComponentDependency

    java.lang.Object
      org.codehaus.plexus.component.repository.ComponentDependency

    public class ComponentDependency

extends java.lang.Object

This represents a project which this component depends upon to function properly, for example, a required jar file. See Apache Maven for an example of a dependency in action.

Version:
  $Id: ComponentDependency.java 5457 2007-01-17 22:54:30Z eredmond $
Author:
  Jason van Zyl, Trygve Laugstøl

Constructor Summary
`ComponentDependency()`

Method Summary
`java.lang.String` `getArtifactId()` Gets a key for an artifact, which is an alias for a specific project timeline in a group.
`java.lang.String` `getGroupId()` Gets a key for a group, which represents a set of artifacts timelines.
`java.lang.String` `getType()` Gets the type of dependency, for example a "jar".
`java.lang.String` `getVersion()` Returns a specific point in a project's timeline.
`void` `setArtifactId(java.lang.String artifactId)` Sets the dependency's artifact ID.
`void` `setGroupId(java.lang.String groupId)` Sets the dependency's group ID.
`void` `setType(java.lang.String type)` Sets the dependency project's type.
`void` `setVersion(java.lang.String version)` Sets the point in a project's development timeline
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentDependency

    public ComponentDependency()

Method Detail

### getArtifactId

    public java.lang.String getArtifactId()

  Gets a key for an artifact, which is an alias for a specific project timeline in a group.

  Returns:
    a key for an artifact

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

  Sets the dependency's artifact ID.

  Parameters:
    `artifactId` - the artifact ID

### getGroupId

    public java.lang.String getGroupId()

  Gets a key for a group, which represents a set of artifacts timelines.

  Returns:
    a key for a group

### setGroupId

    public void setGroupId(java.lang.String groupId)

  Sets the dependency's group ID.

  Parameters:
    `groupId` - the group ID

### getType

    public java.lang.String getType()

  Gets the type of dependency, for example a "jar".

  Returns:
    the type of dependency

### setType

    public void setType(java.lang.String type)

  Sets the dependency project's type.

  Parameters:
    `type` - the dependency's type

### getVersion

    public java.lang.String getVersion()

  Returns a specific point in a project's timeline. i.e. version 1, or 2.1.4

  Returns:
    a specific point in a project's timeline

### setVersion

    public void setVersion(java.lang.String version)

  Sets the point in a project's development timeline

  Parameters:
    `version` - the project's version

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.